Subject: [babel] Early review on draft-ietf-babel-dtls ...

From: Antoni Przygienda <[email-masked]>
Date: Wed, 26 Sep 2018 21:37:24 +0000

I have been selected to do a routing directorate “early” review of this draft.
​https://datatracker.ietf.org/doc/draft-ietf-babel-dtls

Document: draft-ietf-babel-dtls
Reviewer: Tony Przygienda
Intended Status: STD
Summary:
Choose from this list...

  *   I have some minor concerns about this document that I think should be resolved before it is submitted to the IESG. Concerns are not defects but basically request for some clarification in document and reconsideration on minor issues
Comments:

·         Draft makes inherent sense, of significance for future work in the routing area IMO for other protocols if the security requirements for routing keep on tightening

·         I think that the draft will benefit from an explicit justification why I solution based on SHA-1 cannot satisfy the security profile desired. Reading the draft I assumed that the main requirement was confidentiality which was incorrect. Discussions with the authors let to quite interesting insights that should be captured in the draft IMO.

·          The section explaining that all the babel frames must be unicast with DTLS could benefit from a small rewrite to read easier

·         I recommend the authors to rethink where they want to change base spec babel MTU by a hard offset. Even the DTLS can evolve in a Backwards compatible manner changing sizes. From experience with tunnels and routing protocols it may be better  to just keep the original spec and imply than an implementation supporting DTLS has to deal with the according size overhead

thanks

--- tony